Summary: Creates PDF of a PS file or sends it as fax using HylaFAX.
Name: createpdfax
Version: 1.0.5
Release: 4%{?dist}
Group: Applications/Publishing
License: GPLv2
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: %{name}-%{version}
Source1: %{name}.conf
Source2: README.%{name}
Requires: ghostscript
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Createpdfax is a shell script which creates PDF files of a PS file or
sends the PS file as fax using HylaFAX. When creating PDF, the script creates
a directory in the users home directory and creates the PDF there. To send
fax via HylaFAX, one has to embed the destination fax number enclosed in
configurable start/end tags. Createpdfax will extract the fax number and send
it top the destination. It is also possible to call the script from Samba
via printer share.

%prep
%{__install} -d %{_builddir}/%{name}-%{version}
%{__install} -c -m 644 %{SOURCE2} %{_builddir}/%{name}-%{version}/README

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_sysconfdir}

%{__install} -c -m 755 %{SOURCE0} %{buildroot}%{_bindir}/%{name}
%{__install} -c -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%doc %{name}-%{version}/README

%changelog
* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.0.5-4
- mass rebuild

* Fri Jun 02 2006 Simon Matter <simon.matter@invoca.ch> 1.0.5-3
- fix samba instructions for samba 3.0

* Sat Feb 18 2006 Simon Matter <simon.matter@invoca.ch> 1.0.5-2
- fix samba instructions for new versions with cups as default

* Tue Jul 19 2005 Simon Matter <simon.matter@invoca.ch>
- change Copyright to License in specfile

* Sat Mar 15 2003 Simon Matter <simon.matter@invoca.ch>
- upgrade to 1.0.5, fixes problems with invalid document names

* Tue Mar 11 2003 Simon Matter <simon.matter@invoca.ch>
- upgrade to 1.0.2
- upgrade to 1.0.3
- upgrade to 1.0.4

* Mon Mar 10 2003 Simon Matter <simon.matter@invoca.ch>
- initial build
- fixed sendfax options
